import { get as r } from "lodash-es";
import e from "tailwindcss-palette-generator";
import { p as f } from "./plugin-sJ3Hzvpv.js";
const C = (o) => {
  const n = r(o, "primaryColor", "#000"), a = r(o, "secondaryColor", "#ccc"), c = r(o, "headingFont", "Inter"), d = r(o, "bodyFont", "Inter"), t = r(o, "roundedCorners", "0"), l = r(o, "bodyBgLightColor", "#fff"), i = r(o, "bodyBgDarkColor", "#000"), s = r(o, "bodyTextLightColor", "#000"), g = r(o, "bodyTextDarkColor", "#fff"), y = e([
    { color: n, name: "primary" },
    { color: a, name: "secondary" }
  ]), b = {
    "bg-light": l,
    "bg-dark": i,
    "text-dark": g,
    "text-light": s
  };
  return {
    container: {
      center: !0,
      padding: "1rem",
      screens: { "2xl": "1400px" }
    },
    fontFamily: { heading: [c], body: [d] },
    borderRadius: { DEFAULT: `${t || "0px"}px` },
    colors: { ...y, ...b }
  };
}, F = f(function({ addBase: o, theme: n }) {
  o({
    "h1,h2,h3,h4,h5,h6": {
      fontFamily: n("fontFamily.heading")
    },
    body: {
      fontFamily: n("fontFamily.body"),
      color: n("colors.text-light"),
      backgroundColor: n("colors.bg-light")
    },
    ".dark body": {
      color: n("colors.text-dark"),
      backgroundColor: n("colors.bg-dark")
    }
  });
});
export {
  F as c,
  C as g
};
